%define upstream_name    Acme-POE-Acronym-Generator
%define upstream_version 1.20

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Generate random POE acronyms
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Acme/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Math::Random) >= 0.690.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

%description
What does POE stand for?" is a common question, and people have expanded
the acronym in several ways.

Acme::POE::Acronym::Generator produces randomly generated expansions of the
POE acronym ( or at your option any other arbitary word ).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.200.0-9.mga8
+ Revision: 1503399
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.200.0-8.mga7
+ Revision: 1281545
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.200.0-7.mga7
+ Revision: 1162758
- rebuild with fixed rpm for missing autodeps

* Sat Jun 18 2016 pterjan <pterjan> 1.200.0-6.mga6
+ Revision: 1022186
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.200.0-5.mga6
+ Revision: 942738
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.200.0-4.mga5
+ Revision: 744664
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.200.0-3.mga5
+ Revision: 683429
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.200.0-2.mga4
+ Revision: 526473
- Mageia 4 Mass Rebuild

* Tue Jun 04 2013 jquelin <jquelin> 1.200.0-1.mga4
+ Revision: 437055
- update to 1.20

* Sun Jan 13 2013 umeabot <umeabot> 1.180.0-2.mga3
+ Revision: 362830
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.180.0-1.mga1
+ Revision: 31714
- mageia rebuild
- imported package perl-Acme-POE-Acronym-Generator

